﻿using IRaCIS.Core.Domain.Share.Reading;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Service.Reading.Dto
{

    public class AddOrUpdateReadingClinicalDataDto
    {

		public Guid? Id { get; set; }

		/// <summary>
		/// 项目ID
		/// </summary>
		public Guid TrialId { get; set; }

		/// <summary>
		///  受试者ID
		/// </summary>
		public Guid SubjectId { get; set; }

		/// <summary>
		/// 对象ID
		/// </summary>
		public Guid objectId { get; set; }

		/// <summary>
		/// 临床数据类型Id
		/// </summary>
		public Guid ClinicalDataTrialSetId { get; set; }

		/// <summary>
		/// 临床数据类型Id
		/// </summary>
		public bool IsVisit { get; set; }
	}


	/// <summary>
	/// 获取访视列表
	/// </summary>
	public class GetReadingClinicalDataListIndto :PageInput
	{ 
	    public Guid ObjectId { get; set; }
	}

	public class GetReadingClinicalDataPDFListIndto:PageInput
	{
		public Guid ReadingClinicalDataId { get; set; }
	}

	public class GetReadingClinicalDataPDFListOutDto
	{
		public Guid? Id { get; set; }

		/// <summary>
		/// 项目ID
		/// </summary>
		public Guid TrialId { get; set; }

		/// <summary>
		/// 对象ID
		/// </summary>
		public Guid ObjectId { get; set; }

		/// <summary>
		/// 受试者ID
		/// </summary>
		public Guid SubjectId { get; set; }

		/// <summary>
		/// 阅片临床数据ID
		/// </summary>
		public Guid ReadingClinicalDataId { get; set; }

		/// <summary>
		/// Path
		/// </summary>
		public string Path { get; set; }

		/// <summary>
		/// FileName
		/// </summary>
		public string FileName { get; set; }

		/// <summary>
		/// 是否为访视
		/// </summary>
		public bool IsVisit { get; set; }


	}

	public class AddOrUpdateReadingClinicalDataPDFDto
	{

		public Guid? Id { get; set; }

		/// <summary>
		/// 项目ID
		/// </summary>
		public Guid TrialId { get; set; }

		/// <summary>
		/// 对象ID
		/// </summary>
		public Guid ObjectId { get; set; }

		/// <summary>
		/// 受试者ID
		/// </summary>
		public Guid SubjectId { get; set; }

		/// <summary>
		/// 阅片临床数据ID
		/// </summary>
		public Guid ReadingClinicalDataId { get; set; }

		/// <summary>
		/// Path
		/// </summary>
		public string Path { get; set; }

		/// <summary>
		/// FileName
		/// </summary>
		public string FileName { get; set; }

		/// <summary>
		/// 是否为访视
		/// </summary>
		public bool IsVisit { get; set; }

		/// <summary>
		/// 临床级别
		/// </summary>
		public ClinicalLevel ClinicalDataLevel { get; set; }
	}



	public class GetReadingClinicalDataListOutDto
	{

		public Guid Id { get; set; }


		/// <summary>
		/// 名称
		/// </summary>
		public string ClinicalDataSetName { get; set; }

		/// <summary>
		/// 临床级别
		/// </summary>
		public ClinicalLevel ClinicalDataLevel { get; set; }


		/// <summary>
		/// 上传方式
		/// </summary>
		public ClinicalUploadType ClinicalUploadType { get; set; }

		/// <summary>
		/// 临床级别名称
		/// </summary>
		public string ClinicalDataLevelName { get; set; }

		/// <summary>
		/// 上传方式名称
		/// </summary>
		public string ClinicalUploadTypeName { get; set; }

		/// <summary>
		/// 文件数量
		/// </summary>
		public int FileCount { get; set; } = 0;
	}



	public class GetTrialClinicalDataSelectIndto
	{
        public Guid TrialId { get; set; }
    }

	public class GetTrialClinicalDataSelectOutDto
	{

		public Guid Id { get; set; }

		/// <summary>
		/// 名称
		/// </summary>
		public string ClinicalDataSetName { get; set; }

		/// <summary>
		/// 临床级别
		/// </summary>
		public ClinicalLevel ClinicalDataLevel { get; set; }


		/// <summary>
		/// 上传方式
		/// </summary>
		public ClinicalUploadType ClinicalUploadType { get; set; }

		/// <summary>
		/// 临床级别名称
		/// </summary>
		public string ClinicalDataLevelName { get; set; }

		/// <summary>
		/// 上传方式名称
		/// </summary>
		public string ClinicalUploadTypeName { get; set; }


	}

}
